# coding: utf-8
import sys
from tkinter import *
from imagecanvas import *
def colorTone():
    R=scale1.get(); G=scale2.get(); B=scale3.get()
    NX=len(cbit.ID); DX=int(NX/5)
    for x in range(NX):
        if (x % DX)==0: root.update()
        for y in range(len(cbit.ID[x])):
            RR=int(tmp[x][y][0]*R/255)
            GG=int(tmp[x][y][1]*G/255)
            BB=int(tmp[x][y][2]*B/255)
            cbit.Canvas.itemconfig(cbit.ID[x][y],fill=RGB(RR,GG,BB))
    root.update()
    return X
def color_red(n)  :label1.configure(bg='#%02x0000' % scale1.get())    
def color_green(n):label2.configure(bg='#00%02x00' % scale2.get())
def color_blue(n) :label3.configure(bg='#0000%02x' % scale3.get())
#■ウィンドウが閉じられるときの処理
def exitProc():
    if messagebox.askokcancel("終了","終了してもよろしいですか?"):
        root.destroy(); sys.exit()    
root = Tk(); root.geometry("500x500"); root.title("Color Tone")
FT=[('BMPファイルlファイル','*.bmp;*.*')]
filename=filedialog.askopenfilename(filetypes=FT)
if filename!="":
    root.title("ビットマップ読込み中")
    bitmap=readBitmap(filename)
    if bitmap!=[]:
        root.title("キャンバス準備中")
        W=bitmap.info.width;  H=bitmap.info.height
        canvas=Canvas(root,width=W, height=H); canvas.place(x=130,y=10)
        root.geometry("%dx%d" % (W+160, H+80))
        root.title("ビットマップ表示中")
        cbit=drawBitmap(canvas, bitmap); root.update()
        root.title("ビットマップリスト準備中")
        tmp=getRGBList(cbit)
        
        label1 = Label(root, text='Red', fg='#ffffff');
        label1.place(x=10,y=10)
        label2 = Label(root, text='Green', fg='#ffffff')
        label2.place(x=10,y=40)
        label3 = Label(root, text='Blue', fg='#ffffff')
        label3.place(x=10,y=70)
        
        scale1 = Scale(root, label='red', orient='h', from_=0, to=255, command=color_red)
        scale1.place(x=10,y=H+10)
        scale2 = Scale(root, label='green', orient='h', from_=0, to=255, command=color_green)
        scale2.place(x=130,y=H+10)
        scale3 = Scale(root, label='blue', orient='h', from_=0, to=255, command=color_blue)
        scale3.place(x=250,y=H+10)
         
        button1 = Button(root, text='Exit', command=exitProc)
        button1.place(x=10, y=140)
        button2 = Button(root, text='Display', command=colorTone)
        button2.place(x=10, y=100)
        root.title("Color Tone")

        color_red(1); color_green(1); color_blue(1)
        root.protocol("WM_DELETE_WINDOW",exitProc)
        root.mainloop()
root.destroy()
sys.exit(0)

